# Cinder

# cinder::app::FileDropEvent Class Reference

Represents a file-drop event, typically received from Windows Explorer or Mac OS X Finder. More...

`#include <FileDropEvent.h>`

List of all members.

## Public Member Functions
| FileDropEvent (int aX, int aY, const std::vector< std::string > &aFiles)
int | getX () const
| Returns the X coordinate of the mouse during the event.
int | getY () const
| Returns the Y coordinate of the mouse during the event.
Vec2i | getPos () const
| Returns the coordinates of the mouse during the event.
const std::vector< std::string > & | getFiles () const
| Returns the vector of file paths which were dropped.
size_t | getNumFiles () const
| Returns the number of files dropped during the event.
const std::string & | getFile (size_t index) const
| Returns the path for file number index.

## Detailed Description

Represents a file-drop event, typically received from Windows Explorer or Mac OS X Finder.

## Constructor & Destructor Documentation

cinder::app::FileDropEvent::FileDropEvent | ( | int | aX,
|  | int | aY,
|  | const std::vector< std::string > & | aFiles |
| ) |  |  |

## Member Function Documentation

int cinder::app::FileDropEvent::getX | ( |  | ) | const

Returns the X coordinate of the mouse during the event.

int cinder::app::FileDropEvent::getY | ( |  | ) | const

Returns the Y coordinate of the mouse during the event.

Vec2i cinder::app::FileDropEvent::getPos | ( |  | ) | const

Returns the coordinates of the mouse during the event.

const std::vector<std::string>& cinder::app::FileDropEvent::getFiles | ( |  | ) | const

Returns the vector of file paths which were dropped.

size_t cinder::app::FileDropEvent::getNumFiles | ( |  | ) | const

Returns the number of files dropped during the event.

const std::string& cinder::app::FileDropEvent::getFile | ( | size_t | index | ) | const

Returns the path for file number index.

The documentation for this class was generated from the following file:

- include/cinder/app/FileDropEvent.h